Apphooks
This endpoint can be used to manage Apphooks. Apphooks are used inside the app to trigger certain functionality, for example opening a webview on a specific time. A Apphook can have multiple triggers.
Retrieves a collection of Apphooks and rudimentary information about them.
Retrieves a single Apphook.
Updates an existing Apphook.
POST https://api.bundeling.com/V2/apphooksParameters Body Name Description Type Nillable Required nameThe name of an Apphook. stringfalsetruetypeThe type of the object.Accepted values: Webview, FullscreenWebview
stringfalsetruepropertiesThe type of the object. jsonfalsetrueexternal_referenceYour reference to this object. This could be your own internal ID stringfalsefalselabelsLabels to add to this event. Replaces current labels array(string)falsefalse
Example request Raw cURL JavaScript PHP Python Go Choose language
Headers Body {
"name": "Webview overlay on app start",
"type": "Webview",
"properties": "{\n\t\t\t\t\t\t\t\t'url': 'https://example.com/webview'\n\t\t\t\t\t\t\t}",
"external_reference": "239847",
"labels": [
"eeb763c41c054dcc8f6d9362f24ee9b2"
]
} Example response {
"uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
"name": "Webview overlay on app start",
"type": "Webview",
"properties": "{\n\t\t\t\t'url': 'https://example.com/webview'\n\t\t\t}",
"external_reference": "239847",
"labels": [
"d7743aaf53224e279853c7d0c1dbfb3a",
"d7743aaf53224e279853c7d0c1dbfb3a"
],
"creationdate": "2026-06-03T00:00:00+0200",
"lastupdate": "2026-06-03T00:00:00+0200"
}